org.eclipse.viatra.addon.validation.core.api

## Enum Severity

- java.lang.Object
- - java.lang.Enum<Severity>
  - - org.eclipse.viatra.addon.validation.core.api.Severity

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Severity>

      public enum Severity
      extends java.lang.Enum<Severity>

  Severity type to define the severity of a violation.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ERROR`
    `INFO`
    `WARNING`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Severity` | `fromInteger(int x)`
    `static Severity` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Severity[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INFO

          public static final Severity INFO

    - #### WARNING

          public static final Severity WARNING

    - #### ERROR

          public static final Severity ERROR

  - ### Method Detail

    - #### values

          public static Severity[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Severity c : Severity.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Severity valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### fromInteger

          public static Severity fromInteger(int x)